/*
 * This file originates from The Android Open Source Project version 4.4.2_r1
 * and contains some modifications which are (C) COPYRIGHT 2014 ARM Limited
 */

#include "rs_core.rsh"
#include "rs_graphics.rsh"
#include "rs_structs.h"
#include "rs_mali.h"


// ARM - change function name prefix from rs to ml
// ARM - use GPU driver's sampler structure.


/**
* Sampler
*/
extern rs_sampler_value __attribute__((overloadable))
        mlSamplerGetMinification(rs_sampler s) {
    mali_Sampler_t *prog = (mali_Sampler_t *)s.p;
    if (prog == NULL) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.minFilter;
}

extern rs_sampler_value __attribute__((overloadable))
        mlSamplerGetMagnification(rs_sampler s) {
    mali_Sampler_t *prog = (mali_Sampler_t *)s.p;
    if (prog == NULL) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.magFilter;
}

extern rs_sampler_value __attribute__((overloadable))
        mlSamplerGetWrapS(rs_sampler s) {
    mali_Sampler_t *prog = (mali_Sampler_t *)s.p;
    if (prog == NULL) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.wrapS;
}

extern rs_sampler_value __attribute__((overloadable))
        mlSamplerGetWrapT(rs_sampler s) {
    mali_Sampler_t *prog = (mali_Sampler_t *)s.p;
    if (prog == NULL) {
        return RS_SAMPLER_INVALID;
    }
    return prog->mHal.state.wrapT;
}

extern float __attribute__((overloadable))
        mlSamplerGetAnisotropy(rs_sampler s) {
    mali_Sampler_t *prog = (mali_Sampler_t *)s.p;
    if (prog == NULL) {
        return 0.0f;
    }
    return prog->mHal.state.aniso;
}
